> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk-import employees from parsed CSV rows

> Bulk-import employees from parsed CSV rows



## OpenAPI

````yaml /api-reference/openapi.json post /api/employees/import
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/employees/import:
    post:
      tags:
        - Employees
      summary: Bulk-import employees from parsed CSV rows
      description: Bulk-import employees from parsed CSV rows
      operationId: postApiEmployeesImport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                rows:
                  minItems: 1
                  type: array
                  items:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
              required:
                - rows
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        row:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        message:
                          type: string
                      required:
                        - row
                        - message
                required:
                  - created
                  - errors
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````